## NAME

curl_slist_append - add a string to an slist

## SYNOPSIS

#include <curl/curl.h>

struct curl_slist *curl_slist_append(struct curl_slist * list, const char * string );

## DESCRIPTION

curl_slist_append() appends a specified string to a linked list of strings. The existing list should be passed as the first argument while the new list is returned from this function. The specified string has been appended when this function returns. curl_slist_append() copies the string.

The list should be freed again (after usage) with curl_slist_free_all(3).

## RETURN VALUE

A null pointer is returned if anything went wrong, otherwise the new list pointer is returned.

## EXAMPLE

     CURL handle;
      struct curl_slist *slist=NULL;
      slist = curl_slist_append(slist, "pragma:");
      curl_easy_setopt(handle, CURLOPT_HTTPHEADER, slist);
      curl_easy_perform(handle);
      curl_slist_free_all(slist); /* free the list again */

## SEE ALSO

curl_slist_free_all (3)

This HTML page was made with roffit.